
From: Stephen Tweedie <sct@redhat.com>

Emit debugging printks at KERN_DEBUG loglevel.

Signed-off-by: Stephen Tweedie <sct@redhat.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/ext3/resize.c |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

diff -puN fs/ext3/resize.c~ext3-online-resize-printk-debug-level fs/ext3/resize.c
--- 25/fs/ext3/resize.c~ext3-online-resize-printk-debug-level	Thu Sep 30 17:32:34 2004
+++ 25-akpm/fs/ext3/resize.c	Thu Sep 30 17:32:34 2004
@@ -44,7 +44,7 @@ static int verify_group_input(struct sup
 		input->blocks_count - 2 - overhead - sbi->s_itb_per_group;
 
 	if (test_opt(sb, DEBUG))
-		printk("EXT3-fs: adding %s group %u: %u blocks "
+		printk(KERN_DEBUG "EXT3-fs: adding %s group %u: %u blocks "
 		       "(%d free, %u reserved)\n",
 		       ext3_bg_has_super(sb, input->group) ? "normal" :
 		       "no-super", input->group, input->blocks_count,
@@ -373,7 +373,8 @@ static int add_new_gdb(handle_t *handle,
 	int err;
 
 	if (test_opt(sb, DEBUG))
-		printk("EXT3-fs: ext3_add_new_gdb: adding group block %lu\n",
+		printk(KERN_DEBUG
+		       "EXT3-fs: ext3_add_new_gdb: adding group block %lu\n",
 		       gdb_num);
 
 	/*
@@ -851,7 +852,7 @@ int ext3_group_extend(struct super_block
 	o_groups_count = EXT3_SB(sb)->s_groups_count;
 
 	if (test_opt(sb, DEBUG))
-		printk("EXT3-fs: extending last group from %lu to %lu blocks\n",
+		printk(KERN_DEBUG "EXT3-fs: extending last group from %lu to %lu blocks\n",
 		       o_blocks_count, n_blocks_count);
 
 	if (n_blocks_count == 0 || n_blocks_count == o_blocks_count)
@@ -940,7 +941,7 @@ int ext3_group_extend(struct super_block
 	if ((err = ext3_journal_stop(handle)))
 		goto exit_put;
 	if (test_opt(sb, DEBUG))
-		printk("EXT3-fs: extended group to %u blocks\n",
+		printk(KERN_DEBUG "EXT3-fs: extended group to %u blocks\n",
 		       le32_to_cpu(es->s_blocks_count));
 	update_backups(sb, inode, EXT3_SB(sb)->s_sbh->b_blocknr, (char *)es,
 		       sizeof(struct ext3_super_block));
_
